Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.meta
Class RandomCommittee

    java.lang.Object
      weka.classifiers.Classifier
          weka.classifiers.SingleClassifierEnhancer
              weka.classifiers.IteratedSingleClassifierEnhancer
                  weka.classifiers.RandomizableIteratedSingleClassifierEnhancer
                      weka.classifiers.meta.RandomCommittee

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, OptionHandler, Randomizable, WeightedInstancesHandler

    public class RandomCommittee

extends RandomizableIteratedSingleClassifierEnhancer
implements WeightedInstancesHandler

Class for creating a committee of random classifiers. The base classifier (that forms the committee members) needs to implement the Randomizable interface. Valid options are:

-W classname
Specify the full class name of a base classifier as the basis for the random committee (required).

-I num
Set the number of committee members (default 10).

-S seed
Random number seed for the randomization process (default 1).

Options after -- are passed to the designated classifier.

Version:
  $Revision: 1.5.2.2 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`RandomCommittee()` Constructor.

Method Summary
`void` | `buildClassifier(Instances data)` Builds the committee of randomizable classifiers.
`double[]` | `distributionForInstance(Instance instance)` Calculates the class membership probabilities for the given test instance.
`java.lang.String` | `globalInfo()` Returns a string describing classifier
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`java.lang.String` | `toString()` Returns description of the committee.

Methods inherited from class weka.classifiers.RandomizableIteratedSingleClassifierEnhancer
`getOptions, getSeed, listOptions, seedTipText, setOptions, setSeed`

Methods inherited from class weka.classifiers.IteratedSingleClassifierEnhancer
`getNumIterations, numIterationsTipText, setNumIterations`

Methods inherited from class weka.classifiers.SingleClassifierEnhancer
`classifierTipText, getClassifier, setClassifier`

Methods inherited from class weka.classifiers.Classifier
`classifyInstance, debugTipText, forName, getDebug, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RandomCommittee

    public RandomCommittee()

  Constructor.

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing classifier

  Returns:
    a description suitable for displaying in the explorer/experimenter gui

### buildClassifier

    public void buildClassifier(Instances data)
                         throws java.lang.Exception

  Builds the committee of randomizable classifiers.

  Overrides:
    `buildClassifier` in class `IteratedSingleClassifierEnhancer`
  Parameters:
    `data` - the training data to be used for generating the bagged classifier.
  Throws:
    `java.lang.Exception` - if the classifier could not be built successfully

### distributionForInstance

    public double[] distributionForInstance(Instance instance)
                                     throws java.lang.Exception

  Calculates the class membership probabilities for the given test instance.

  Overrides:
    `distributionForInstance` in class `Classifier`
  Parameters:
    `instance` - the instance to be classified
  Returns:
    preedicted class probability distribution
  Throws:
    `java.lang.Exception` - if distribution can't be computed successfully

### toString

    public java.lang.String toString()

  Returns description of the committee.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    description of the committee as a string

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - the options

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD